package com.bzd.system.service.spgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 租赁商品管理 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SSpglProductattributesService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSSpglProductattributes(PageData pd)throws Exception {
        return daoSupport.update("SSpglProductattributesMapper.addSSpglProductattributes", pd);
    }

    public List<PageData> findSSpglProductattributesList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SSpglProductattributesMapper.selectSSpglProductattributesList", pd);
    }

    public Integer SSpglProductattributesRemove(PageData pd)throws Exception {
        return daoSupport.delete("SSpglProductattributesMapper.SSpglProductattributesRemove", pd);
    }


    public Integer updateSSpglProductattributes(PageData pd)throws Exception {
        return daoSupport.update("SSpglProductattributesMapper.updateSSpglProductattributes", pd);
    }

}
